package com.ruoyi.predict.domain;

import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * WtgTheorypowerData对象 wtg_theorypower_data
 * 
 * @author hlf
 * @date 2022-09-22
 */
public class WtgTheorypowerData extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long wturNo;

    private Date dataTime;

    private Double theorypower;

    private Long isLimit;

    private Long wtgstate;

    private Long dataFlag;

    public void setWturNo(Long wturNo) 
    {
        this.wturNo = wturNo;
    }

    public Long getWturNo() 
    {
        return wturNo;
    }
    public void setDataTime(Date dataTime) 
    {
        this.dataTime = dataTime;
    }

    public Date getDataTime() 
    {
        return dataTime;
    }
    public void setTheorypower(Double theorypower) 
    {
        this.theorypower = theorypower;
    }

    public Double getTheorypower() 
    {
        return theorypower;
    }
    public void setIsLimit(Long isLimit) 
    {
        this.isLimit = isLimit;
    }

    public Long getIsLimit() 
    {
        return isLimit;
    }
    public void setWtgstate(Long wtgstate) 
    {
        this.wtgstate = wtgstate;
    }

    public Long getWtgstate() 
    {
        return wtgstate;
    }
    public void setDataFlag(Long dataFlag) 
    {
        this.dataFlag = dataFlag;
    }

    public Long getDataFlag() 
    {
        return dataFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("wturNo", getWturNo())
            .append("dataTime", getDataTime())
            .append("theorypower", getTheorypower())
            .append("isLimit", getIsLimit())
            .append("wtgstate", getWtgstate())
            .append("dataFlag", getDataFlag())
            .toString();
    }
}
